#include <iostream>
#include <vector> 
using namespace std;

int main() 
{
    int stalaktiti;
    int visina_p;
	vector<int> visina_s(stalaktiti); 
    cin >> stalaktiti;
    cin >> visina_p;
   
 	for (int j=0; j<stalaktiti; j++) 
	{
    cin >> visina_s[j];
    }
 
    for (int j=0; j<stalaktiti;j++) 
	{
        if (visina_p >= visina_s[j]) 
	{ 
        cout << j + 1 << endl; 
            return 0;
    }
    }
	cout << -1 << endl;

    return 0;
}